<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://gonn0101.com.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: 网蝈蝈 <245539558@qq.com>
// +----------------------------------------------------------------------

namespace Admin\Controller;
use Think\Controller;
use Common\Controller\AuthController;
use Think\Auth;
use Think\Model;
use Think\Db;
use OT\Database;

class CategoryController extends AuthController {
		public function cate_list()
	   		{
			    $admin=M('cate');
				$val=I('get.val');
				$this->assign('testval',$val);
				if($val){
					$map['cate_name']= array('like',"%".$val."%");
				}
				
				$count= $admin->where($map)->count();// 查询满足要求的总记录数
				$Page= new \Think\Page($count,C('DB_PAGENUM'));// 实例化分页类 传入总记录数和每页显示的记录数

				foreach($map as $key=>$val) {
					$Page->parameter[$key]=urlencode($val);
				}

				$show= $Page->show();// 分页显示输出
				$admin_list=$admin->where($map)->order('id')->limit($Page->firstRow.','.$Page->listRows)->select();
				$this->assign('cate_list',$admin_list);
				$this->assign('page',$show);		
				$this->display();
	  		}
		public function cate_add()
		{ 
			      if(!IS_AJAX)
		    	{
		            $this->display();
		    	}
		    	else
		    	{
					$admin=M('cate');
					$sldata=array(
					'cate_name'=>I('cate_name'),
					'auth'=>session('admin_username'),
					'addtime'=>time(),
					'status'=>I('status'),
					);
					$admin->add($sldata);
					$this->success('分类添加成功',U('cate_list'),1);
		      }
		}

		public function cate_edit()
		{
			if(!IS_AJAX)
			{
            $list=M('cate')->where(array('id'=>I('id')))->find();
    		$this->assign('list',$list);
    		$this->display();
			}
			else
			{
		    $obj=M('cate');
            $data['id']=trim(I('post.id', '', 'htmlspecialchars'));
            $data['cate_name']=I('post.cate_name');
            $data['status']=I('post.status');
            $data['auth']=session('admin_username');

            $obj->save($data);
		    $this->success('修改成功',U('cate_list'),1);
			}
		}

	public function cate_del()
	{
        $id=$_REQUEST['id'];
        $list = M('cate')->where(array('id'=>$id))->delete();
        if($list){
            $this->redirect('cate_list');
          }else{
          	$this->redirect('cate_list');
          }
	}
  }
